{% extends 'base.html.twig' %}

{% block header_img %}<img class="slide-image" src="{{ asset('img/todolist_content.jpg') }}" alt="todo list">{% endblock %}

{% block body %}
    <div class="row">
        <div class="d-flex justify-content-end">
            <a href="{{ path('task_create') }}" class="btn btn-info">Créer une tâche</a>
        </div>
    </div>
    <div class="row">
        {% for task in tasks %}
        <div class="col-sm-4 col-lg-4 col-md-4 pt-2 my-4 todo">
            <div class="thumbnail p-2 rounded">
                <div class="caption">
                    <h4>
                        {% if task.isDone %}<i class="bi bi-check"></i>{% else %}<i class="bi bi-x"></i>{% endif %}
                        <a href="{{ path('task_edit', {'id': task.id}) }}">{{ task.title }}</a>
                    </h4>
                    <small class="todo-author"><em>Par: {{ task.author ? task.author.username : 'Anonyme' }}</em></small>
                    <p class="truncate">{{ task.content }}</p>
                </div>
                <div class="row">
                    <div class="d-flex justify-content-end">
                        <form action="{{ path('task_toggle', {'id': task.id}) }}" class="d-inline me-1">
                            <button class="btn btn-success btn-sm pull-right">
                                {% if not task.isDone %}Marquer comme faite{% else %}Marquer non terminée{% endif %}
                            </button>
                        </form>
                        <form action="{{ path('task_delete', {'id': task.id}) }}" class="d-inline">
                            <button class="btn btn-danger btn-sm pull-right">Supprimer</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        {% else %}
            <div class="alert alert-warning" role="alert">
                Il n'y a pas encore de tâche enregistrée. <a href="{{ path('task_create') }}" class="btn btn-warning pull-right">Créer une tâche</a>
            </div>
        {% endfor %}
    </div>
{% endblock %}
